Ubuntu

gvfs-fuse-daemon crashed with SIGSEGV in g_type_create_instance()

Reported by dino99 on 2011-08-24
This bug affects 239 people
Affects Status Importance Assigned to Milestone
Unity Greeter
Undecided
Michael Terry
gvfs
Confirmed
Critical
gvfs (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned
unity-greeter (Ubuntu)
High
Michael Terry
Oneiric
High
Michael Terry

Bug Description

Oneiric i386
silent crash logged after a cold boot

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: gvfs-fuse 1.9.3-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic-pae 3.0.3
Uname: Linux 3.0.0-9-generic-pae i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Wed Aug 24 07:54:14 2011
ExecutablePath: /usr/lib/gvfs/gvfs-fuse-daemon
ProcCmdline: /usr/lib/gvfs//gvfs-fuse-daemon /var/lib/lightdm/.gvfs
ProcEnviron:
 SHELL=/bin/false
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
SegvAnalysis:
 Segfault happened at: 0xb6114fa1: mov 0xc(%eax),%eax
 PC (0xb6114fa1) ok
 source "0xc(%eax)" (0x0000000c) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
 Stack memory exhausted (SP below stack segment)
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: gvfs
StacktraceTop:
 ?? () from /usr/lib/gio/modules/libgvfsdbus.so
 ?? () from /usr/lib/gio/modules/libgvfsdbus.so
 g_type_create_instance () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
 ?? () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
 g_object_newv () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
Title: gvfs-fuse-daemon crashed with SIGSEGV in g_type_create_instance()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dino99 (9d9) wrote :
visibility: private → public
Changed in gvfs (Ubuntu):
status: New → Confirmed

StacktraceTop:
 _g_daemon_vfs_get_async_bus () at gdaemonvfs.c:1515
 g_daemon_volume_monitor_init (daemon_monitor=0x9679ca8) at gdaemonvolumemonitor.c:206
 g_type_create_instance (type=157798736) at /build/buildd/glib2.0-2.29.16/./gobject/gtype.c:1885
 g_object_constructor (type=157798736, n_construct_properties=0, construct_params=0x0) at /build/buildd/glib2.0-2.29.16/./gobject/gobject.c:1629
 g_object_newv (object_type=157798736, n_parameters=0, parameters=0x0) at /build/buildd/glib2.0-2.29.16/./gobject/gobject.c:1412

Changed in gvfs (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Changed in gvfs (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
Changed in gvfs (Ubuntu Oneiric):
importance: Medium → High

just booted, attempting to update system, gvfs crash.

Changed in gvfs (Ubuntu Oneiric):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody
Pedro Villavicencio (pedro) wrote :
Changed in gvfs (Ubuntu Oneiric):
status: Confirmed → Triaged
Changed in gvfs (Ubuntu Oneiric):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Changed in gvfs:
importance: Unknown → Critical
status: Unknown → New
Doug McMahon (mc3man) wrote :

While it was marked invalid on my orig. report and maybe rightly so just to note -
This crash does not occur with unity-greeter < 0.0.2-0ubuntu4
It also does not occur if using the gtk greeter, nor with gdm

Changed in gvfs (Ubuntu Oneiric):
milestone: none → ubuntu-11.10-beta-1
dino99 (9d9) wrote :

i'm using gtk-greeter and it fail, so comment #7 above is wrong

Michael Terry (mterry) wrote :

While dino99's gtk-greeter claim requires investigation, for me, I can stop the crash in unity-greeter by disabling gvfs-fuse. I suspect this was a product of my patch to unity-greeter to force the 'local' vfs and not noticing that I should also disable gvfs-fuse. That correlates to comment #7.

I've got a branch for merging attached to this bug and I will upload a new unity-greeter.

affects: gvfs (Ubuntu Oneiric) → unity-greeter (Ubuntu Oneiric)
Changed in unity-greeter (Ubuntu Oneiric):
assignee: Canonical Desktop Team (canonical-desktop-team) → Michael Terry (mterry)
milestone: ubuntu-11.10-beta-1 → none
milestone: none → ubuntu-11.10-beta-1
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 0.0.5-0ubuntu2

---------------
unity-greeter (0.0.5-0ubuntu2) oneiric; urgency=low

  * debian/patches/disable-fuse.patch:
    - Disable fuse daemon, which will crash if run because we also force
      the 'local' vfs backend. LP: #832533
 -- Michael Terry <email address hidden> Thu, 25 Aug 2011 15:28:31 -0400

Changed in unity-greeter (Ubuntu Oneiric):
status: Triaged → Fix Released
Michael Terry (mterry) wrote :

I could not reproduce with gtk-greeter. I'm going to assume this was just a unity-greeter bug.

Changed in unity-greeter:
assignee: nobody → Michael Terry (mterry)
status: New → In Progress
florin (florin-arjocu) wrote :

There is a similar bug having the same name, you should close that one as it's 2.5 years old and just like me, probably more people marked that one as the current bug of Oneiric Ocelot. I have all upgrades to this hour and the bug is there.

Crash still occurs with unity-greeter 0.0.5-0ubuntu2 after upgrade and system restart. In fact, apport directly forwarded me to this bug page (again).

Michael Terry (mterry) wrote :

Can you give me the results of running the following command?

sudo ls /var/lib/lightdm/ -al

Alexander Ufimtsev (alexu-ucd) wrote :

affected by this bug as well. here is my output for you, Michael:

alexu@das-ist-computer:~$ sudo ls /var/lib/lightdm/ -al
[sudo] password for alexu:
total 56
drwxr-x--- 12 lightdm lightdm 4096 2011-08-26 19:19 .
drwxr-xr-x 76 root root 4096 2011-08-25 12:28 ..
drwx------ 4 lightdm lightdm 4096 2011-08-23 11:55 .cache
drwx------ 6 lightdm lightdm 4096 2011-08-23 11:55 .config
drwx------ 3 lightdm lightdm 4096 2011-08-11 14:48 .dbus
-rw------- 1 lightdm lightdm 16 2011-08-11 14:48 .esd_auth
drwxr-xr-x 2 lightdm lightdm 4096 2011-08-23 18:54 .fontconfig
drwx------ 3 lightdm lightdm 4096 2011-08-26 19:18 .gconf
drwx------ 3 lightdm lightdm 4096 2011-08-23 11:55 .gnome2
drwx------ 2 lightdm lightdm 4096 2011-08-11 14:48 .gvfs
drwx------ 3 lightdm lightdm 4096 2011-08-23 11:55 .local
drwx------ 3 lightdm lightdm 4096 2011-08-23 11:55 .pki
drwx------ 2 lightdm lightdm 4096 2011-08-26 19:18 .pulse
-rw------- 1 lightdm lightdm 256 2011-08-11 14:48 .pulse-cookie
-rw------- 1 lightdm lightdm 0 2011-08-26 19:19 .Xauthority
alexu@das-ist-computer:~$ dpkg -l unity-greeter
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii unity-greeter 0.0.5-0ubuntu2 Unity Greeter
alexu@das-ist-computer:~$

Mine looks slightly different:

$ sudo ls /var/lib/lightdm/ -al
insgesamt 48
drwxr-x--- 10 lightdm lightdm 4096 2011-08-26 20:08 .
drwxr-xr-x 61 root root 4096 2011-08-25 21:19 ..
drwx------ 3 lightdm lightdm 4096 2011-08-11 20:31 .cache
drwx------ 4 lightdm lightdm 4096 2011-08-11 20:31 .config
drwx------ 3 lightdm lightdm 4096 2011-08-11 20:31 .dbus
-rw------- 1 lightdm lightdm 16 2011-08-11 20:31 .esd_auth
drwxr-xr-x 2 lightdm lightdm 4096 2011-08-25 21:18 .fontconfig
drwx------ 2 lightdm lightdm 4096 2011-08-26 20:08 .gconf
drwx------ 2 lightdm lightdm 4096 2011-08-11 20:31 .gvfs
drwxrwxr-x 3 lightdm lightdm 4096 2011-08-26 19:59 .local
drwx------ 2 lightdm lightdm 4096 2011-08-26 20:08 .pulse
-rw------- 1 lightdm lightdm 256 2011-08-11 20:31 .pulse-cookie
-rw------- 1 lightdm lightdm 0 2011-08-26 20:08 .Xauthority

Hugo Venhorst (yougo) wrote :

i'm getting a small error:

~$ sudo ls /var/lib/lightdm/ -al
ls: kan geen toegang krijgen tot /var/lib/lightdm/.gvfs: Toegang geweigerd
totaal 40
drwxr-x--- 9 lightdm lightdm 4096 2011-08-26 22:02 .
drwxr-xr-x 64 root root 4096 2011-08-25 21:38 ..
drwx------ 3 lightdm lightdm 4096 2011-08-19 23:48 .cache
drwx------ 4 lightdm lightdm 4096 2011-08-19 23:48 .config
drwx------ 3 lightdm lightdm 4096 2011-08-19 23:48 .dbus
-rw------- 1 lightdm lightdm 16 2011-08-19 21:48 .esd_auth
drwx------ 2 lightdm lightdm 4096 2011-08-26 22:02 .gconf
d????????? ? ? ? ? ? .gvfs
drwxrwxr-x 3 lightdm lightdm 4096 2011-08-25 22:51 .local
drwx------ 2 lightdm lightdm 4096 2011-08-26 18:38 .pulse
-rw------- 1 lightdm lightdm 256 2011-08-19 21:48 .pulse-cookie
-rw------- 1 lightdm lightdm 0 2011-08-26 22:02 .Xauthority

translation:
ls can't access /var/lib/lightdm/.gvfs: Acess denied.

I SSHed in and did my daily

sudo apt-get update
sudo apt-get dist-upgrade
sudo stop gdm
sudo start lightdm
sudo stop lightdm
sudo start gdm

hoping that I do not need to run the last two commands this time, but unfortunately, lightdm did not come up and so I also ran these last two commands.

So here is my "sudo ls /var/lib/lightdm/ -al":

till@till:~$ sudo ls /var/lib/lightdm/ -al
ls: cannot access /var/lib/lightdm/.gvfs: Permission denied
total 44
drwxr-x--- 10 lightdm lightdm 4096 2011-08-27 09:58 .
drwxr-xr-x 85 root root 4096 2011-08-19 09:11 ..
drwx------ 3 lightdm lightdm 4096 2011-07-21 20:49 .cache
drwx------ 4 lightdm lightdm 4096 2011-08-24 23:42 .config
drwx------ 3 lightdm lightdm 4096 2011-07-21 20:49 .dbus
-rw------- 1 lightdm lightdm 16 2011-07-21 20:49 .esd_auth
drwxr-xr-x 2 lightdm lightdm 4096 2011-07-30 18:39 .fontconfig
drwx------ 2 lightdm lightdm 4096 2011-08-25 19:43 .gconf
d????????? ? ? ? ? ? .gvfs
drwxrwxr-x 3 lightdm lightdm 4096 2011-08-24 23:44 .local
drwx------ 2 lightdm lightdm 4096 2011-08-25 19:43 .pulse
-rw------- 1 lightdm lightdm 256 2011-07-21 20:49 .pulse-cookie
-rw------- 1 lightdm lightdm 0 2011-08-27 09:58 .Xauthority
till@till:~$

Same as Yougo in comment #17.

I have also three new crash reports:

till@till:~$ ls -ltr /var/crash/
[...]
-rw------- 1 gdm gdm 214433 2011-08-27 09:59 _usr_lib_at-spi_at-spi-registryd.112.crash
-rw------- 1 gdm gdm 951841 2011-08-27 09:59 _usr_lib_gnome-settings-daemon_gnome-settings-daemon.112.crash
-rw------- 1 lightdm lightdm 2984601 2011-08-27 10:07 _usr_sbin_unity-greeter.103.crash
till@till:~$

I have submitted them as bug 835292, bug 835295, and bug 835290, resp..

dino99 (9d9) wrote :

On Oneiric i386 with only lightdm (no gdm) installed, this issue is gone on my system,
so the latest unity-greeter 0.0.5-0ubuntu3 and lightdm 0.9.3-0ubuntu8 works without conflict.

Michael Terry (mterry) on 2011-09-14
Changed in unity-greeter:
status: In Progress → Fix Released
Pedro Villavicencio (pedro) wrote :

gvfs crash seems to still be around there's a couple of duplicates with newest version ie: bug 868146 , 861902 ; i'm opening a gvfs task for it. thanks all.

Doug McMahon (mc3man) wrote :

The public bug in comment 20 was an upgrade to 11.10, if the private one was also an upgrade then you might want to take a look at that.
Haven't seen this in quite some tie with fresh daily image installs

Brad Needham (fishrcynic) wrote :

this is no longer affecting me.

Pedro Villavicencio (pedro) wrote :

Is anybody still able to reproduce the issue with latest packages ? Thanks.

Changed in gvfs (Ubuntu Oneiric):
status: New → Incomplete
importance: Undecided → High
Changed in gvfs (Ubuntu):
importance: Undecided → High
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gvfs - 1.12.0-0ubuntu5

---------------
gvfs (1.12.0-0ubuntu5) precise; urgency=low

  * debian/patches/metadata-dont-flush-null-tree.patch:
    - Don't try to flush a tree that doesn't exist. Fixes crash bug
      LP: #405432. Patch from upstream's Christian Kellner.
  * debian/patches/metadata-nuke-junk-data.patch:
    - If metadata file is bogus, erase it and start over. Related to
      above bug, to be able to recover from junk data in addition to
      not crashing. Patch from upstream's Christian Kellner.
  * debian/patches/dont-crash-on-null-job.patch:
    - Don't try to announce the finish of a NULL job. LP: #345754,
      LP: #838464
  * debian/patches/check-gdu-pool.patch:
    - If gdu_pool_new() returns NULL, handle it gracefully.
      LP: #832379
  * debian/patches/handle-inactive-vfs.patch:
    - If the VFS never initialized, don't crash when creating volume
      monitors. LP: #832533
 -- Michael Terry <email address hidden> Wed, 11 Apr 2012 16:01:32 -0400

Changed in gvfs (Ubuntu):
status: Incomplete → Fix Released
dino99 (9d9) on 2013-07-01
Changed in gvfs (Ubuntu Oneiric):
status: Incomplete → Invalid
Changed in gvfs:
status: New → Confirmed
dino99 (9d9) on 2014-04-07
tags: removed: oneiric
tags: removed: apport-crash i386
To post a comment you must log in.